Bug 40086 - Crontab for sysstat not exiting after backgrounding sadc
Crontab for sysstat not exiting after backgrounding sadc
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: crontabs (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-10 11:15 EDT by Christopher Penney
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-10 11:15:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christopher Penney 2001-05-10 11:15:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-SGI_XFS_1.0smp i686)

Description of problem:
When run-parts runs /etc/cron.hourly/sysstat something isn't getting
backgrounded properly and I end up with processes that are waiting on the
exit of something (I have not explored it).

How reproducible:
Always

Steps to Reproduce:
1. Do an install of RedHat 7.1 (sysstat & crontabs must be installed). 
Specifically, by kickstart install has the following backages: @ Base @
Network Server @ Development @ Utilities @ Emacs psacct wu-ftpd ntp tcpdump
2. Watch the process list on the hour (when cron.hourly runs next)W

	

Actual Results:  You will see the following in a 'ps' list:
root      2107  0.0  0.0  1436  476 ?        S    11:01   0:00 CROND
root      2108  0.0  0.0  1920  908 ?        S    11:01   0:00 /bin/bash
/usr/bin/run-parts /etc/cron.hourly
root      2110  0.0  0.0  1656  552 ?        S    11:01   0:00 awk -v
progname=/etc/cron.hourly/sysstat progname {?????   print progname
":\n"????? progname="";????       }????       { print; }
root      2111  0.0  0.0  1904  880 ?        S    11:01   0:00 /bin/sh
/usr/lib/sa/sa1 600 6
root      2113  0.0  0.0  1352  512 ?        S    11:01   0:00
/usr/lib/sa/sadc 600 6 /var/log/sa/sa10


Expected Results:  I expect to only see the sadc process, though the way
/usr/lib/sa/sa1 is written I also expect to see the sa1 script waiting for
sadc to exit (that should really be fixed as well as there isn't much need
in the script waiting for sadc to exit).

Additional info:

Not a severe problem, but it would be nice to see this cleaned up.
Comment 1 Preston Brown 2001-07-19 16:17:06 EDT
this was truly a sysstat problem, and has been addressed in the rawhide 
sysstat package.

Note You need to log in before you can comment on or make changes to this bug.